%define	module	Log-Dispatch
%define	name	perl-%{module}
%define	version	2.11
%define	release	%mkrel 4
%define	pdir	Log

Summary:	Perl modules for logging messages to multiple outputs
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	%{module}-%{version}.tar.bz2
Patch0:		Log-Dispatch-2.11-mod_perl2.diff.bz2
Requires:	perl
BuildArch:	noarch
BuildRequires:	perl-devel perl(Params::Validate) perl(Module::Build)
BuildRequires:	perl(Mail::Sender) perl(Mail::Sendmail) perl(MIME::Lite)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
%{module} module for Perl.  Log::Dispatch is a suite of OO modules for
logging messages to multiple outputs, each of which can have a minimum
and maximum log level.  It is designed to be easily subclassed, both
for creating a new dispatcher object and particularly for creating new
outputs.


%package ApacheLog
Summary: Apache mod_perl dispatcher for Log::Dispatch
Group:   Development/Perl

%description ApacheLog
Log::Dispatch::ApacheLog is a dispatcher for apache logging, used with
mod_perl.

%prep

%setup -q -n %{module}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%check
make test

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%exclude %{perl_vendorlib}/Log/Dispatch/ApacheLog.pm
%{perl_vendorlib}/Log/*.pm
%{perl_vendorlib}/Log/Dispatch/*.pm
%{perl_vendorlib}/Log/Dispatch/Email
%{perl_vendorlib}/Log/Dispatch/File
%exclude %{_mandir}/*/Log::Dispatch::ApacheLog*
%{_mandir}/*/*

%files ApacheLog
%{perl_vendorlib}/Log/Dispatch/ApacheLog.pm
%{_mandir}/*/Log::Dispatch::ApacheLog*


%changelog
* Wed Apr 19 2006 Michael Scherer <misc@mandriva.org> 2.11-4mdk
- split Log::Dispatch::ApacheLog from main package, as it pulls 
  mod_perl, which pulls apache, which is a server.
- convert to new policy ( ie, use perl(Foo) for buildRequires )
- enhance summary

* Thu Dec 22 2005 Michael Scherer <misc@mandriva.org> 2.11-3mdk
- mkrel 

* Tue Sep 27 2005 Oden Eriksson <oeriksson@mandriva.com> 2.11-2mdk
- fix deps

* Mon Aug 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.11-1mdk
- 2.11

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.10-1mdk
- 2.10
- fix install
- fix perms

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.01-2mdk
- buildrequires

* Wed Jul 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.01-1mdk
- 2.01

* Mon Jun 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.00-1mdk
- from Peter Chen <petechen@netilla.com> :
	- 2.00

